xml-commons-resolver API: Class SAXParserHandler

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.resolver.readers
Class SAXParserHandler

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.apache.xml.resolver.readers.SAXParserHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class SAXParserHandler
extends org.xml.sax.helpers.DefaultHandler

An entity-resolving DefaultHandler.

This class provides a SAXParser DefaultHandler that performs entity resolution.

Version:
  1.0
Author:
  Norman Walsh Norman.Walsh@Sun.COM

Constructor Summary
`SAXParserHandler()`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)`
`void` | `endPrefixMapping(java.lang.String prefix)`
`void` | `ignorableWhitespace(char[] ch, int start, int length)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)`
`void` | `setContentHandler(org.xml.sax.ContentHandler ch)`
`void` | `setDocumentLocator(org.xml.sax.Locator locator)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver er)`
`void` | `skippedEntity(java.lang.String name)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`error, fatalError, notationDecl, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParserHandler

    public SAXParserHandler()

Method Detail

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler ch)

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException

  Overrides:
    `resolveEntity` in class `org.xml.sax.helpers.DefaultHandler`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Overrides:
    `endDocument` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Overrides:
    `endPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Overrides:
    `ignorableWhitespace` in class `org.xml.sax.helpers.DefaultHandler`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Overrides:
    `processingInstruction` in class `org.xml.sax.helpers.DefaultHandler`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Overrides:
    `setDocumentLocator` in class `org.xml.sax.helpers.DefaultHandler`

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws org.xml.sax.SAXException

  Overrides:
    `skippedEntity` in class `org.xml.sax.helpers.DefaultHandler`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Overrides:
    `startDocument` in class `org.xml.sax.helpers.DefaultHandler`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Overrides:
    `startPrefixMapping` in class `org.xml.sax.helpers.DefaultHandler`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.